Name:		iax
Version:	0.2.2 
Release:	5%{?dist}
Summary:	Implementation of Inter-Asterisk eXchange protocol
Group:		System Environment/Libraries
License:	GPL+ and LGPLv2+
URL:		http://downloads.digium.com/pub/libiax/
Source0:	http://downloads.digium.com/pub/libiax/%{name}-%{version}.tar.gz
Patch0:		iax-0.2.2-DESTDIR.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libtool

%description
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is the 
protocol used by the Asterisk PBX system for inter-asterisk-communication.  
Other applications may use libiax to communicate with each other and other 
asterisk servers.  IAX is a high performance, feature rich protocol unrelated
to SIP or H.323.  Its single-socket design allows it to interoperate with NAT 
and PAT masquerade firewalls.  It supports internationalization, remote 
dialplans, and voice, HTML, image, DTMF, and video content.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .DESTDIR
# We don't need to invoke this here. Non-package installs might.
sed -i 's|/sbin/ldconfig||g' src/Makefile.am

# Fix libdir in iax-config.in
sed -i 's|${exec_prefix}/lib|${exec_prefix}/%{_lib}|g' iax-config.in
sed -i 's|/usr/lib|%{_libdir}|g' iax-config.in
autoreconf -if

%build
%configure --disable-static
make %{?_smp_mflags} UCFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
pushd src
make install-am DESTDIR=%{buildroot}
popd 
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB ChangeLog README
%{_libdir}/libiax.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/libiax.so

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.2-4
- fix FTBFS (bz 564849)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.2.2-2
- fix iax-config.in
- fix dead URL
- fix license tag

* Tue Jun 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.2.2-1
- Initial package for Fedora

